"use client";
import React from "react";
import { FormControl, FormDescription, FormField, FormItem, FormLabel, FormMessage, } from "../../../../components/ui/form";
import { Input } from "../../../../components/ui/input";
// form
function TextFiled({ name, description, form }) {
    return (<FormField control={form.control} name={name} render={({ field }) => (<FormItem>
                    <FormLabel>{name}</FormLabel>
                    <FormControl>
                        <Input placeholder={description} {...field}/>
                    </FormControl>
                    <FormDescription>
                        {description}
                    </FormDescription>
                    <FormMessage />
                </FormItem>)}/>);
}
export { TextFiled };
