import { ArrowDownIcon, ArrowRightIcon, ArrowUpIcon, CheckCircledIcon, CircleIcon, CrossCircledIcon, QuestionMarkCircledIcon, StopwatchIcon, } from "@radix-ui/react-icons";
export const labels = [
    {
        value: "bug",
        label: "Bug",
    },
    {
        value: "feature",
        label: "Feature",
    },
    {
        value: "documentation",
        label: "Documentation",
    },
];
export const statuses = [
    {
        value: "backlog",
        label: "Backlog",
        icon: QuestionMarkCircledIcon,
    },
    {
        value: "todo",
        label: "Todo",
        icon: CircleIcon,
    },
    {
        value: "in progress",
        label: "In Progress",
        icon: StopwatchIcon,
    },
    {
        value: "done",
        label: "Done",
        icon: CheckCircledIcon,
    },
    {
        value: "canceled",
        label: "Canceled",
        icon: CrossCircledIcon,
    },
];
export const statusNew = [
    {
        value: "Active",
        label: "Active",
        icon: () => <CircleIcon style={{
                color: "green",
                backgroundColor: "green",
                marginRight: "3px",
                width: "6px", // Adjust size as needed
                height: "6px", // Adjust size as needed
                borderRadius: "50%", // Makes the icon circular
            }}/>, // Apply the red color
    },
    {
        value: "Inactive",
        label: "Inactive",
        icon: () => <CircleIcon style={{
                color: "red",
                backgroundColor: "red",
                marginRight: "3px",
                width: "6px", // Adjust size as needed
                height: "6px", // Adjust size as needed
                borderRadius: "50%", // Makes the icon circular
            }}/>, // Apply the blue color
    },
];
export const priorities = [
    {
        label: "Low",
        value: "low",
        icon: ArrowDownIcon,
    },
    {
        label: "Medium",
        value: "medium",
        icon: ArrowRightIcon,
    },
    {
        label: "High",
        value: "high",
        icon: ArrowUpIcon,
    },
];
export const planNames = [
    {
        label: "Enterprise",
        value: "Enterprise",
        icon: ArrowDownIcon,
    },
    {
        label: "Standard",
        value: "Standard",
        icon: ArrowRightIcon,
    },
];
