import { z } from "zod";
// We're keeping a simple non-relational schema here.
// IRL, you will have a schema for your data models.
export const userSchema = z.object({
    id: z.any(),
    name: z.any(),
    aud: z.any(),
    phone: z.any(),
    role: z.any(),
    email: z.any(),
    password: z.any(),
    email_confirmed_at: z.any(),
    confirmed_at: z.any(),
    last_sign_in_at: z.any(),
    app_metadata: z.any(),
    user_metadata: z.any(),
    identities: z.any(),
    created_at: z.any(),
    updated_at: z.any(),
    is_anonymous: z.any(),
    tenant_id: z.any(),
    role_id: z.any(),
    role_type: z.any(),
    privilege_type: z.any(),
    role_name: z.any(),
    status: z.any(),
});
