"use client";
import { FormControl, FormField, FormItem, FormLabel, FormMessage, } from "../../components/ui/form";
import { Datepicker } from "../../components/ui/datepicker";
// form
import React from "react";
function FuzDatePicker({ info, required, minTime, maxTime, minDate, maxDate, label, name, form, picker }) {
    return (<FormField control={form.control} name={name} render={({ field }) => (<FormItem>
                    <FormLabel info={info} required={required}>{label}</FormLabel>
                    <FormControl>
                       <Datepicker minTime={minTime} maxTime={maxTime} maxDate={maxDate} minDate={minDate} defaultValue={field.value} dateFieldName={name} picker={picker} {...field}/>
                    </FormControl>             
                    <FormMessage />
                </FormItem>)}/>);
}
export default FuzDatePicker;
