// ShadowedRadioGroup.tsx
import React from 'react';
import { Button } from "../../components/ui/button";
import { Loader2 } from "lucide-react";
const MultiButton = ({ submitType, 
// submitVariant,
// clearVariant,
submitlabel, clearlabel, loader, clearAction }) => {
    return (<>
    <div style={{ display: 'flex', flexDirection: 'row', gap: '10px', justifyContent: "end" }}>
    {clearlabel && (<Button type="button" onClick={clearAction}>{clearlabel}</Button>)}
    {submitlabel && (<Button type={submitType}>
    {loader ? <Loader2 className="h-6 w-6 animate-spin"/> : submitlabel}
    </Button>)}
   </div>
        </>);
};
export default MultiButton;
