"use client";
import React from "react";
import { FormControl, FormField, FormItem, FormLabel, FormMessage, } from "../../components/ui/form";
import { MyPhonePicker } from "../../components/ui/myPhonePicker";
// form
function PhoneNumPicker({ label, name, form, info, required }) {
    return (<FormField control={form.control} name={name} render={({ field }) => (<FormItem>
                    <FormLabel info={info} required={required}>{label}</FormLabel>
                    <FormControl>
                       <MyPhonePicker initialCountry="in" defaultValues={form.getValues("phone")} {...field}/>
                    </FormControl>
                    <FormMessage />
                </FormItem>)}/>);
}
export default PhoneNumPicker;
