"use client";
import * as React from "react";
import { Inbox, } from "lucide-react";
import { TooltipProvider } from "../../../components/ui/tooltip";
import { Nav } from "./nav";
export function SideNav({ defaultCollapsed = true }) {
    const [isCollapsed, setIsCollapsed] = React.useState(defaultCollapsed);
    return (<TooltipProvider delayDuration={0}>

      <Nav isCollapsed={isCollapsed} setIsCollapsed={setIsCollapsed} links={[
            {
                title: "Dashboard",
                label: "128",
                icon: Inbox,
                hrefLink: "/dashboard",
                variant: "secondary",
            },
            // {
            //   title: "Drafts",
            //   label: "9",
            //   icon: File,
            //   hrefLink: "/dashboard/analytics",
            //   variant: "ghost",
            // },
            // {
            //   title: "Sent",
            //   label: "",
            //   icon: Send,
            //   hrefLink: "/dashboard/analytics",
            //   variant: "ghost",
            // },
            // {
            //   title: "Junk",
            //   label: "23",
            //   icon: ArchiveX,
            //   hrefLink: "/dashboard/analytics",
            //   variant: "ghost",
            // },
            // {
            //   title: "Trash",
            //   label: "",
            //   icon: Trash2,
            //   hrefLink: "/dashboard/analytics",
            //   variant: "ghost",
            // },
            // {
            //   title: "Archive",
            //   label: "",
            //   icon: Archive,
            //   hrefLink: "/dashboard/analytics",
            //   variant: "ghost",
            // },
        ]}/>

      

    </TooltipProvider>);
}
