import { cookies } from "next/headers";
import { SideNav } from "./components/sideNav";
import { accounts, mails } from "./data";
import React from "react";
export default function MailPage() {
    const layout = cookies().get("react-resizable-panels:layout");
    const collapsed = cookies().get("react-resizable-panels:collapsed");
    const defaultLayout = layout ? JSON.parse(layout.value) : undefined;
    const defaultCollapsed = collapsed ? JSON.parse(collapsed.value) : undefined;
    return (<SideNav accounts={accounts} mails={mails} defaultLayout={defaultLayout} defaultCollapsed={defaultCollapsed} navCollapsedSize={4}/>);
}
