"use client";
import { __awaiter } from "tslib";
import { Button } from "../components/ui/button";
import { supabase } from "../auth/auth";
import { useRouter } from "next/navigation";
import React from "react";
const LogoutButton = () => {
    const router = useRouter();
    function signOut() {
        return __awaiter(this, void 0, void 0, function* () {
            const { error } = yield supabase.auth.signOut();
            router.push('/login');
            console.log('user-error', error); // Log the user object to see the login value
        });
    }
    return (<Button variant="default" className="hidden h-8 p-2 lg:flex" onClick={() => signOut()}>
            Logout
        </Button>);
};
export default LogoutButton;
