import React from "react";
interface InputProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, "pattern"> {
    pattern?: string;
    minLength?: number;
    maxLength?: number;
    type?: string;
    info?: string;
}
declare const Input: React.ForwardRefExoticComponent<InputProps & React.RefAttributes<HTMLInputElement>>;
export { Input };
