import { __rest } from "tslib";
import { css } from '@stitches/core';
import { generateClassNames } from 'pasubot-auth-ui-shared';
const labelDefaultStyles = css({
    fontFamily: '$labelFontFamily',
    fontSize: '$baseLabelSize',
    marginBottom: '$labelBottomMargin',
    color: '$inputLabelText',
    display: 'block',
});
const Label = (_a) => {
    var _b;
    var { children, appearance } = _a, props = __rest(_a, ["children", "appearance"]);
    const classNames = generateClassNames('label', labelDefaultStyles(), appearance);
    return (<label {...props} style={(_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.label} className={classNames.join(' ')}>
      {children}
    </label>);
};
export { Label };
