'use client';
import { DotsHorizontalIcon } from '@radix-ui/react-icons';
import { Button } from '../../../../components/ui/button';
import { DropdownMenu, DropdownMenuContent, DropdownMenuItem, DropdownMenuTrigger, DropdownMenuSeparator, } from '../../../../components/ui/dropdown-menu';
import React from 'react';
export function DataTableRowActions({ row, onEdit, onStatus, }) {
    // function onDelete<TData extends {}>(original: TData): void {
    //   throw new Error('Function not implemented.');
    // }
    return (<DropdownMenu>
      <DropdownMenuTrigger asChild>
        <Button variant="ghost" className="flex h-8 w-8 p-0 data-[state=open]:bg-muted">
          <DotsHorizontalIcon className="h-4 w-4"/>
          <span className="sr-only">Open menu</span>
        </Button>
      </DropdownMenuTrigger>
      <DropdownMenuContent align="end" className="w-[160px]">
        <DropdownMenuItem onClick={() => onEdit(row.original)}>
          Edit
        </DropdownMenuItem>
        <DropdownMenuSeparator />
        {/* <DropdownMenuItem onClick={() => onDelete(row.original)}>
          Delete
        </DropdownMenuItem> */}
        <DropdownMenuSeparator />
        <DropdownMenuItem onClick={() => onStatus(row.original)}>
          {row.original.status === 'Active' ? 'Inactive' : 'Active'}
        </DropdownMenuItem>
      </DropdownMenuContent>
    </DropdownMenu>);
}
