import * as React from 'react';
import { ColumnDef } from '@tanstack/react-table';
import { PasubotClient } from "pasubot-js-v2";
interface DataTableProps<TData, TValue> {
    columns: ColumnDef<TData, TValue>[];
    data: TData[];
    isLoading: boolean;
    onRefresh: () => void;
    errorMessage: any;
    message: any;
    supabase: PasubotClient;
    dataLoader: boolean;
}
export declare function DataTable<TData, TValue>({ columns, data, isLoading, onRefresh, errorMessage, message, supabase, dataLoader }: DataTableProps<TData, TValue>): React.JSX.Element;
export {};
