import React from 'react';
import { PasubotClient, Session, User } from 'pasubot-js-v2';
export interface AuthSession {
    user: User | null;
    session: Session | null;
}
export interface Props {
    supabaseClient: PasubotClient;
    [propName: string]: any;
}
export declare const UserContextProvider: (props: Props) => React.JSX.Element;
export declare const useUser: () => AuthSession;
